Groovy Documentation

## groovy.swing.factory
[Groovy] Class EtchedBorderFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.SwingBorderFactory
              groovy.swing.factory.EtchedBorderFactory

    class EtchedBorderFactory
    extends SwingBorderFactory

Property Summary
`int` | `type`

Constructor Summary
`EtchedBorderFactory(int newType)`

Method Summary
`java.lang.Object` | `newInstance(FactoryBuilderSupport builder, java.lang.Object name, java.lang.Object value, java.util.Map attributes)`

Methods inherited from class SwingBorderFactory
isLeaf, onHandleNodeAttributes, setParent

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### type

    final int type

Constructor Detail

### EtchedBorderFactory

    EtchedBorderFactory(int newType)

Method Detail

### newInstance

    java.lang.Object newInstance(FactoryBuilderSupport builder, java.lang.Object name, java.lang.Object value, java.util.Map attributes)

Groovy Documentation